org.apache.ivy.util

## Class ConfigurationUtils

- java.lang.Object
- - org.apache.ivy.util.ConfigurationUtils

    public final class ConfigurationUtils
    extends java.lang.Object

Class containing several utility methods for working with configurations.

### Method Summary

Methods

`static java.lang.String[]`

`replaceWildcards(java.lang.String[] confs, ModuleDescriptor md)`
Replace the wildcards in the given configuration array, by the name of the given ModuleDescriptor The supported wildcards are: `*` : all configurations `*(public)` : all public configurations `*(private)` : all private configurations If the given array of configurations is `null`, all configurations from the given module descriptor are returned, including if this array is empty.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### replaceWildcards

    public static java.lang.String[] replaceWildcards(java.lang.String[] confs,
                                      ModuleDescriptor md)

Replace the wildcards in the given configuration array, by the name of the given ModuleDescriptor The supported wildcards are:

- `*` : all configurations
- `*(public)` : all public configurations
- `*(private)` : all private configurations

If the given array of configurations is `null`, all configurations from the given module descriptor are returned, including if this array is empty.

Parameters:
  `confs` - the configurations, can contain wildcards
  `md` - the configurations where the wildcards are replaced
Returns: